from pydantic import BaseModel
from typing import Dict, Any


class HealthResponse(BaseModel):
    """Response schema for the health check endpoint"""
    status: str
    version: str
    details: Dict[str, Any]